# boost::numeric::ublas::matrix_vector_binary1< E1, E2, F > Class Template Reference

Inherits vector_expression< matrix_vector_binary1< E1, E2, F > >.

List of all members.

## Classes

class | const_iterator

## Public Types

typedef E1 | expression1_type
typedef E2 | expression2_type
typedef E1::const_closure_type | expression1_closure_type
typedef E2::const_closure_type | expression2_closure_type
typedef promote_traits < typename E1::size_type, typename E2::size_type > ::promote_type | size_type
typedef promote_traits < typename E1::difference_type, typename E2::difference_type > ::promote_type | difference_type
typedef F::result_type | value_type
typedef value_type | const_reference
typedef const_reference | reference
typedef const self_type | const_closure_type
typedef const_closure_type | closure_type
typedef unknown_storage_tag | storage_category
typedef const_iterator | iterator
typedef reverse_iterator_base < const_iterator > | const_reverse_iterator

## Public Member Functions

BOOST_UBLAS_INLINE | matrix_vector_binary1 (const expression1_type &e1, const expression2_type &e2)
BOOST_UBLAS_INLINE size_type | size () const
BOOST_UBLAS_INLINE const expression1_closure_type & | expression1 () const
BOOST_UBLAS_INLINE const expression2_closure_type & | expression2 () const
BOOST_UBLAS_INLINE const_reference | operator() (size_type i) const
BOOST_UBLAS_INLINE bool | same_closure (const matrix_vector_binary1 &mvb1) const
BOOST_UBLAS_INLINE const_iterator | find (size_type i) const
BOOST_UBLAS_INLINE const_iterator | begin () const
BOOST_UBLAS_INLINE const_iterator | end () const
BOOST_UBLAS_INLINE const_reverse_iterator | rbegin () const
BOOST_UBLAS_INLINE const_reverse_iterator | rend () const

## Static Public Attributes

static const unsigned | complexity = 1

### template<class E1, class E2, class F>
class boost::numeric::ublas::matrix_vector_binary1< E1, E2, F >